跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
tokens-balance
Wallet - Tokens Balance
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/tokens-balance \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "isActive": true,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "accuAmount": "<string>",
      "avgCostUsd": "<string>",
      "lastActiveAt": 123,
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
      "realizedPnlInUsd": "<string>",
      "unrealizedPnlInUsd": "<string>",
      "walletTokenTags": [
        "<string>"
      ]
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

获取某个钱包地址的所有代币余额。返回代币地址、数量及 USD 价值。
相关: GraphQL 余额 | MCP: wallet_get_balance

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

An address of a wallet

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="